Runtime

## org.eclipse.gmf.runtime.diagram.ui.handles
Class CompartmentCollapseHandle

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.gef.handles.AbstractHandle
              org.eclipse.gmf.runtime.diagram.ui.handles.CompartmentCollapseHandle

All Implemented Interfaces:
  AncestorListener, java.util.EventListener, Handle, IFigure, NotificationListener, java.beans.PropertyChangeListener

public class CompartmentCollapseHandle
extends AbstractHandle
implements java.beans.PropertyChangeListener, NotificationListener

A handle for collapsing resizable compartments

Nested Class Summary

Nested classes inherited from class org.eclipse.draw2d.Figure
`Figure.FigureIterator, Figure.IdentitySearch`

Nested classes inherited from class org.eclipse.draw2d.AncestorListener
`AncestorListener.Stub`

Nested classes inherited from class org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary
`protected org.eclipse.gmf.runtime.diagram.ui.internal.figures.CollapseFigure` `collapseFigure` the handle figure
`static Dimension` `SIZE` handle figure dimension

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`CompartmentCollapseHandle(IGraphicalEditPart owner)` Creates a new Compartment Collapse Handle

Method Summary
`void` `addNotify()`
`protected DragTracker` `createDragTracker()`
`IFigure` `findFigureAt(int x, int y, TreeSearch search)`
`void` `notifyChanged(Notification notification)` Will be called when a Notification event gets sent from the DiagramEventBroker after the transaction has been closed.
`void` `propertyChange(java.beans.PropertyChangeEvent evt)`
`void` `removeNotify()`

Methods inherited from class org.eclipse.gef.handles.AbstractHandle
`ancestorAdded, ancestorMoved, ancestorRemoved, getAccessibleLocation, getDragCursor, getDragTracker, getLocator, getOwner, getOwnerFigure, setDragCursor, setDragTracker, setLocator, setOwner, validate`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, paintFigure, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIZE

    public static Dimension SIZE

  handle figure dimension

### collapseFigure

    protected org.eclipse.gmf.runtime.diagram.ui.internal.figures.CollapseFigure collapseFigure

  the handle figure

Constructor Detail

### CompartmentCollapseHandle

    public CompartmentCollapseHandle(IGraphicalEditPart owner)

  Creates a new Compartment Collapse Handle

Parameters:
  `owner` -

Method Detail

### findFigureAt

    public IFigure findFigureAt(int x,
                                int y,
                                TreeSearch search)

  Specified by:
    `findFigureAt` in interface `IFigure`
  See Also:
    `IFigure.findFigureAt(int, int, TreeSearch)`

### createDragTracker

    protected DragTracker createDragTracker()

  See Also:
    `AbstractHandle.createDragTracker()`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  See Also:
    `PropertyChangeListener.propertyChange(java.beans.PropertyChangeEvent)`

### notifyChanged

    public void notifyChanged(Notification notification)

  Description copied from interface: `NotificationListener`
  Will be called when a Notification event gets sent from the DiagramEventBroker after the transaction has been closed.

  Specified by:
    `notifyChanged` in interface `NotificationListener`
  Parameters:
    `notification` - the notification object
  See Also:
    `PropertyChangeListener.propertyChange(java.beans.PropertyChangeEvent)`

### addNotify

    public void addNotify()

  Specified by:
    `addNotify` in interface `IFigure`
  See Also:
    `IFigure.addNotify()`

### removeNotify

    public void removeNotify()

  Specified by:
    `removeNotify` in interface `IFigure`
  See Also:
    `IFigure.removeNotify()`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.